Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter
Class ParameterLexer

    java.lang.Object
      uchicago.src.sim.parameter.ParameterLexer

    public class ParameterLexer

extends java.lang.Object

A lexer for parameter files. Helps parameter reader turn parameter files into `Parameter`s. For more on parameter files see `ParameterReader`

Version:
  $Revision: 1.7 $ $Date: 2005/07/14 14:45:33 $
Author:
  Nick Collier
See Also:
  `SimInit`, `ParameterReader`

Field Summary
`static int` | `BOOL`
`static int` | `BOOL_SET`
`static int` | `BOOL_SET_LIST`
`static int` | `END`
`static int` | `EOF`
`static int` | `INCR`
`static int` | `INVALID_CHAR`
`static int` | `IO_INPUT`
`static int` | `IO_OUTPUT`
`static int` | `LEFT_BRACE`
`static int` | `LEFT_PAREN`
`static int` | `NUMBER`
`static int` | `RIGHT_BRACE`
`static int` | `RIGHT_PAREN`
`static int` | `RUNS`
`static int` | `SET`
`static int` | `SET_LIST`
`static int` | `SLASH`
`static int` | `START`
`static int` | `STRING_SET`
`static int` | `STRING_SET_LIST`
`static int` | `WORD`

Constructor Summary
`ParameterLexer(java.io.Reader in)` Create ParameterLexer using the specified Reader as input.

Method Summary
`int` | `getLineNum()`
`double` | `getNumber()`
`java.lang.String` | `getString()`
`int` | `nextToken()` Get the next token in the input stream
`void` | `pushBack()`
`void` | `reset(boolean number)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_CHAR

    public static final int INVALID_CHAR

See Also:
  Constant Field Values

### LEFT_BRACE

    public static final int LEFT_BRACE

See Also:
  Constant Field Values

### RIGHT_BRACE

    public static final int RIGHT_BRACE

See Also:
  Constant Field Values

### START

    public static final int START

See Also:
  Constant Field Values

### INCR

    public static final int INCR

See Also:
  Constant Field Values

### END

    public static final int END

See Also:
  Constant Field Values

### RUNS

    public static final int RUNS

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### WORD

    public static final int WORD

See Also:
  Constant Field Values

### SET

    public static final int SET

See Also:
  Constant Field Values

### SET_LIST

    public static final int SET_LIST

See Also:
  Constant Field Values

### BOOL_SET

    public static final int BOOL_SET

See Also:
  Constant Field Values

### BOOL_SET_LIST

    public static final int BOOL_SET_LIST

See Also:
  Constant Field Values

### STRING_SET

    public static final int STRING_SET

See Also:
  Constant Field Values

### STRING_SET_LIST

    public static final int STRING_SET_LIST

See Also:
  Constant Field Values

### BOOL

    public static final int BOOL

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### LEFT_PAREN

    public static final int LEFT_PAREN

See Also:
  Constant Field Values

### RIGHT_PAREN

    public static final int RIGHT_PAREN

See Also:
  Constant Field Values

### IO_INPUT

    public static final int IO_INPUT

See Also:
  Constant Field Values

### IO_OUTPUT

    public static final int IO_OUTPUT

See Also:
  Constant Field Values

### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

Constructor Detail

### ParameterLexer

    public ParameterLexer(java.io.Reader in)

  Create ParameterLexer using the specified Reader as input.

Method Detail

### getString

    public java.lang.String getString()

### getNumber

    public double getNumber()

### getLineNum

    public int getLineNum()

### pushBack

    public void pushBack()

### nextToken

    public int nextToken()
                  throws java.io.IOException

  Get the next token in the input stream

  Returns:
    the next token
  Throws:
    `java.io.IOException`

### reset

    public void reset(boolean number)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD